org.apache.myfaces.trinidad.component.core.output

## Class CoreSeparator

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXObject
        - - org.apache.myfaces.trinidad.component.core.output.CoreSeparator

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class CoreSeparator
      extends UIXObject

  The separator creates a horizontal separator.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreSeparator()` Construct an instance of the CoreSeparator.
    `protected` | `CoreSeparator(String rendererType)` Construct an instance of the CoreSeparator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreSeparator

          public CoreSeparator()

      Construct an instance of the CoreSeparator.

    - #### CoreSeparator

          protected CoreSeparator(String rendererType)

      Construct an instance of the CoreSeparator.

  - ### Method Detail

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXObject`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXObject`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.